<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="./style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&family=Young+Serif&display=swap"
      rel="stylesheet"
    />
    <title>Recipe Page</title>
  </head>
  <body>
    <main>
      <article class="card">
        <picture>
          <img
            src="./assets/images/image-omelette.jpeg"
            alt="A tasty looking omelette"
          />
        </picture>
        <h1>Simple Omelette Recipe</h1>
        <p>
          An easy and quick dish, perfect for any meal. This classic omelette
          combines beaten eggs cooked to perfection, optionally filled with your
          choice of cheese, vegetables, or meats.
        </p>

        <section class="preparation">
          <h2>Preparation time</h2>
          <ul>
            <li><span>Total</span>: Approximately 10 minutes</li>
            <li><span>Preparation</span>: 5 minutes</li>
            <li><span>Cooking</span>: 5 minutes</li>
          </ul>
        </section>

        <section class="ingredients">
          <h3>Ingredients</h3>

          <ul>
            <li>2-3 large eggs</li>
            <li>Salt, to taste</li>
            <li>1 tablespoon of butter or oil</li>
            <li>Pepper, to taste</li>
            <li>
              Optional fillings: cheese, diced vegetables, cooked meats, herbs
            </li>
          </ul>
        </section>

        <section class="instructions">
          <h3>Instructions</h3>

          <ol>
            <li>
              <span>Beat the eggs:</span>
              In a bowl, beat the eggs with a pinch of salt and pepper until
              they are well mixed. You can add a tablespoon of water or milk for
              a fluffier texture.
            </li>

            <li>
              <span> Heat the pan: </span>
              Place a non-stick frying pan over medium heat and add butter or
              oil.
            </li>
            <li>
              <span> Cook the omelette: </span>
              Once the butter is melted and bubbling, pour in the eggs. Tilt the
              pan to ensure the eggs evenly coat the surface.
            </li>

            <li>
              <span>Add fillings (optional):</span>
              When the eggs begin to set at the edges but are still slightly
              runny in the middle, sprinkle your chosen fillings over one half
              of the omelette.
            </li>

            <li>
              <span> Fold and serve: </span>
              As the omelette continues to cook, carefully lift one edge and
              fold it over the fillings. Let it cook for another minute, then
              slide it onto a plate.
            </li>

            <li>
              <span> Enjoy: </span> Serve hot, with additional salt and pepper
              if needed.
            </li>
          </ol>
        </section>

        <section class="nutrition">
          <h3>Nutrition</h3>
          <p>
            The table below shows nutritional values per serving without the
            additional fillings.
          </p>

          <table class="nutrition-table">
            <tr>
              <td>Calories</td>
              <td>277kcal</td>
            </tr>
            <tr>
              <td>Carbs</td>
              <td>0g</td>
            </tr>
            <tr>
              <td>Protein</td>
              <td>20g</td>
            </tr>
            <tr>
              <td>Fat</td>
              <td>22g</td>
            </tr>
          </table>
        </section>
      </article>
    </main>
  </body>
</html>
